Bug 590097 - Cannot start tgtd
Cannot start tgtd
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: scsi-target-utils (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Mike Christie
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-07 13:38 EDT by Kirby Zhou
Modified: 2010-06-29 23:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-29 23:28:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kirby Zhou 2010-05-07 13:38:05 EDT
Description of problem:

Cannot start tgtd

Version-Release number of selected component (if applicable):

scsi-target-utils-0.9.11-1.20091205snap.el6.x86_64
libibverbs-1.1.3-4.el6.x86_64

How reproducible:

100%

Steps to Reproduce:

[root@djt-18-97 ~]# service tgtd start        
Starting SCSI target daemon:                               [FAILED]
[root@djt-18-97 ~]# tail /var/log/messages    
May  8 01:12:19 djt-18-97 kernel: readahead-collector: starting delayed service auditd
May  8 01:12:19 djt-18-97 auditd[2425]: Started dispatcher: /sbin/audispd pid: 2427
May  8 01:12:19 djt-18-97 audispd: No plugins found, exiting
May  8 01:12:20 djt-18-97 auditd[2425]: Init complete, auditd 2.0.4 listening for events (startup state enable)
May  8 01:12:20 djt-18-97 kernel: readahead-collector: sorting
May  8 01:12:20 djt-18-97 kernel: readahead-collector: finished
May  8 01:35:04 djt-18-97 tgtd: libibverbs.so: cannot open shared object file: No such file or directory - iser transport not used
May  8 01:35:04 djt-18-97 tgtd: iser transport register
May  8 01:35:34 djt-18-97 tgtd: libibverbs.so: cannot open shared object file: No such file or directory - iser transport not used
May  8 01:35:34 djt-18-97 tgtd: iser transport register
[root@djt-18-97 ~]# 

Expected results:


Additional info:
Comment 1 Kirby Zhou 2010-05-07 13:42:18 EDT
If run /etc/init.d/tgtd with 'sh', it works.

[root@djt-18-97 ~]# /etc/init.d/tgtd start
Starting SCSI target daemon:                               [FAILED]
[root@djt-18-97 ~]# sh /etc/init.d/tgtd start
Starting SCSI target daemon:                               [  OK  ]
[root@djt-18-97 ~]# sh  /etc/init.d/tgtd stop 
Stopping SCSI target daemon:                               [  OK  ]
[root@djt-18-97 ~]# /etc/init.d/tgtd start
Starting SCSI target daemon:                               [FAILED]

[root@djt-18-97 ~]# sh -x /etc/init.d/tgtd start
+ . /etc/init.d/functions
++ TEXTDOMAIN=initscripts
++ umask 022
++ PATH=/sbin:/usr/sbin:/bin:/usr/bin
++ export PATH
++ '[' -z '' ']'
++ COLUMNS=80
++ '[' -z '' ']'
+++ /sbin/consoletype
++ CONSOLETYPE=pty
++ '[' -f /etc/sysconfig/i18n -a -z '' -a -z '' ']'
++ . /etc/profile.d/lang.sh
++ unset LANGSH_SOURCED
++ '[' -z '' ']'
++ '[' -f /etc/sysconfig/init ']'
++ . /etc/sysconfig/init
+++ BOOTUP=color
+++ RES_COL=60
+++ MOVE_TO_COL='echo -en \033[60G'
+++ SETCOLOR_SUCCESS='echo -en \033[0;32m'
+++ SETCOLOR_FAILURE='echo -en \033[0;31m'
+++ SETCOLOR_WARNING='echo -en \033[0;33m'
+++ SETCOLOR_NORMAL='echo -en \033[0;39m'
+++ LOGLEVEL=3
+++ PROMPT=yes
+++ AUTOSWAP=no
+++ ACTIVE_CONSOLES='/dev/tty[1-6]'
++ '[' pty = serial ']'
++ __sed_discard_ignored_files='/\(~\|\.bak\|\.orig\|\.rpmnew\|\.rpmorig\|\.rpmsave\)$/d'
+ PATH=/sbin:/bin:/usr/sbin:/usr/bin
+ TGTD_CONFIG=/etc/tgt/targets.conf
+ prog='SCSI target daemon'
+ exec=tgtd
+ lockfile=/var/lock/subsys/tgtd
+ '[' -f /etc/sysconfig/tgtd ']'
+ . /etc/sysconfig/tgtd
+ case "$1" in
+ rh_status_q
+ rh_status
+ start
+ '[' -x /usr/sbin/tgtd ']'
+ echo -n 'Starting SCSI target daemon: '
Starting SCSI target daemon: + daemon tgtd
+ retval=0
+ '[' 0 -ne 0 ']'
+ success
+ '[' color '!=' verbose -a -z '' ']'
+ echo_success
+ '[' color = color ']'
+ echo -en '\033[60G'
                                                           + echo -n '['
[+ '[' color = color ']'
+ echo -en '\033[0;32m'
+ echo -n '  OK  '
  OK  + '[' color = color ']'
+ echo -en '\033[0;39m'
+ echo -n ']'
]+ echo -ne '\r'
+ return 0
+ return 0
+ echo

+ touch /var/lock/subsys/tgtd
+ tgtadm --op update --mode sys --name State -v offline
+ tgt-admin -e -c /etc/tgt/targets.conf
+ tgtadm --op update --mode sys --name State -v ready
+ return 0
+ exit 0
[root@djt-18-97 ~]#
Comment 3 RHEL Product and Program Management 2010-05-07 14:50:51 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Kirby Zhou 2010-06-24 02:37:24 EDT
Noone care about it?
Comment 5 Mike Christie 2010-06-24 18:13:31 EDT
(In reply to comment #4)
> Noone care about it?    

Sorry about that. Do you have access to the current snapshots? If so could you try it out? I think this should be fixed.

If it is not, could you tell me if you are using selinux and in what mode, and tell me if

service tgtd start

works, and what is in your /etc/tgt/targets.conf file?
Comment 6 Kirby Zhou 2010-06-25 23:00:18 EDT
I have no access to the current snapshots.
I am using selinux with default installtion settings (enforcing).

]# cat targets.conf  | grep -v -e '^#' -e '^$'   
include /etc/tgt/conf.d/*.conf
default-driver iscsi
<target iqn.2009-4.com.sogou:xen.server.target1>
        write-cache off
        vendor_id Sogou Inc.
        <backing-store /dev/xvdb>
                write-cache on
                # lun is commented out - will be allocated automatically
                lun 1
        </backing-store>
</target>
Comment 7 Mike Christie 2010-06-27 22:57:02 EDT
I put the current x86 and x86_64 scsi-target-utils here
http://people.redhat.com/mchristi/target/tgt/6.0/

Give it a quick try and let met know how it went or if you need a different arch.
Comment 8 Kirby Zhou 2010-06-29 13:55:04 EDT
It is ok now
Comment 9 Mike Christie 2010-06-29 23:28:01 EDT
Thanks Kirby, and sorry again for not updating the bz properly.

Note You need to log in before you can comment on or make changes to this bug.